import  "package:dart_vlc/dart_vlc.dart";
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:openmediacentermobile/app.dart';

import 'log/log.dart';
import 'login/logincontext.dart';
import 'platform.dart';

void main() async {
  Log.i("App init!");
  DartVLC.initialize();
  if (isDesktop()) {

  } else {
    await loadDeviceInfo();
  }

  // RawKeyboard.instance.addListener((event) {
  //   if (LogicalKeyboardKey.arrowLeft == event.logicalKey) {
  //     FocusManager.instance.primaryFocus?.focusInDirection(TraversalDirection.left);
  //   } else if (LogicalKeyboardKey.arrowRight == event.logicalKey) {
  //     FocusManager.instance.primaryFocus?.focusInDirection(TraversalDirection.right);
  //   } else if (LogicalKeyboardKey.arrowDown == event.logicalKey) {
  //     FocusManager.instance.primaryFocus?.focusInDirection(TraversalDirection.down);
  //   } else if (LogicalKeyboardKey.arrowUp == event.logicalKey) {
  //     FocusManager.instance.primaryFocus?.focusInDirection(TraversalDirection.up);
  //   }
  // });

  runApp(Shortcuts(shortcuts: <LogicalKeySet, Intent>{
    LogicalKeySet(LogicalKeyboardKey.select): ActivateIntent(),
  }, child: const LoginContainer(child: App())));

  // runApp(const LoginContainer(child: App()));
}
